### Method

# FwupdPlugin Device save_event

#### Declaration [src]

    FuDeviceEvent*
    fu_device_save_event (
      FuDevice* self,
      const gchar* id
    )

#### Description [src]

Creates a new event with a specific ID and adds it to the device.

Available since: | 2.0.0

#### Parameters

`id` | `const gchar*`
| The event ID, e.g. `usb:AA:AA:06`
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `FuDeviceEvent`
| A `FuDeviceEvent`.
| The data is owned by the instance.